import{s as gt,f as Y,n as pt,o as ct}from"../chunks/scheduler.f6b352c8.js";import{S as ft,i as dt,g as a,s,r as st,A as ht,h as o,f as n,c as l,j as lt,u as at,x as u,k as m,y as vt,a as i,v as ot,d as rt,t as ut,w as mt}from"../chunks/index.7f38e934.js";import{H as _t}from"../chunks/Heading.333929c4.js";import{E as xt}from"../chunks/EditOnGithub.c3245a01.js";function wt(B){let r,T,b,$,g,C,p,D,P,c,J="Welcome to this first unit, where <strong>you’ll build a solid foundation in the fundamentals of AI Agents</strong> including:",k,f,K="<li><p><strong>Understanding Agents</strong></p> <ul><li>What is an Agent, and how does it work?</li> <li>How do Agents make decisions using reasoning and planning?</li></ul></li> <li><p><strong>The Role of LLMs (Large Language Models) in Agents</strong></p> <ul><li>How LLMs serve as the “brain” behind an Agent.</li> <li>How LLMs structure conversations via the Messages system.</li></ul></li> <li><p><strong>Tools and Actions</strong></p> <ul><li>How Agents use external tools to interact with the environment.</li> <li>How to build and integrate tools for your Agent.</li></ul></li> <li><p><strong>The Agent Workflow:</strong></p> <ul><li><em>Think</em> → <em>Act</em> → <em>Observe</em>.</li></ul></li>",E,d,N="After exploring these topics, <strong>you’ll build your first Agent</strong> using <code>smolagents</code>!",I,h,Q="Your Agent, named Alfred, will handle a simple task and demonstrate how to apply these concepts in practice.",U,v,V="You’ll even learn how to <strong>publish your Agent on Hugging Face Spaces</strong>, so you can share it with friends and colleagues.",j,_,X="Finally, at the end of this Unit, you’ll take a quiz. Pass it, and you’ll <strong>earn your first course certification</strong>: the 🎓 Certificate of Fundamentals of Agents.",q,x,Z,z,w,tt="This Unit is your <strong>essential starting point</strong>, laying the groundwork for understanding Agents before you move on to more advanced topics.",G,L,et,S,M,nt="It’s a big unit, so <strong>take your time</strong> and don’t hesitate to come back to these sections from time to time.",F,y,it="Ready? Let’s dive in! 🚀",R,A,W,H,O;return g=new _t({props:{title:"Introduction to Agents",local:"introduction-to-agents",headingTag:"h1"}}),A=new xt({props:{source:"https://github.com/huggingface/agents-course/blob/main/units/en/unit1/introduction.mdx"}}),{c(){r=a("meta"),T=s(),b=a("p"),$=s(),st(g.$$.fragment),C=s(),p=a("img"),P=s(),c=a("p"),c.innerHTML=J,k=s(),f=a("ul"),f.innerHTML=K,E=s(),d=a("p"),d.innerHTML=N,I=s(),h=a("p"),h.textContent=Q,U=s(),v=a("p"),v.innerHTML=V,j=s(),_=a("p"),_.innerHTML=X,q=s(),x=a("img"),z=s(),w=a("p"),w.innerHTML=tt,G=s(),L=a("img"),S=s(),M=a("p"),M.innerHTML=nt,F=s(),y=a("p"),y.textContent=it,R=s(),st(A.$$.fragment),W=s(),H=a("p"),this.h()},l(t){const e=ht("svelte-u9bgzb",document.head);r=o(e,"META",{name:!0,content:!0}),e.forEach(n),T=l(t),b=o(t,"P",{}),lt(b).forEach(n),$=l(t),at(g.$$.fragment,t),C=l(t),p=o(t,"IMG",{src:!0,alt:!0}),P=l(t),c=o(t,"P",{"data-svelte-h":!0}),u(c)!=="svelte-wkib5g"&&(c.innerHTML=J),k=l(t),f=o(t,"UL",{"data-svelte-h":!0}),u(f)!=="svelte-1azxix2"&&(f.innerHTML=K),E=l(t),d=o(t,"P",{"data-svelte-h":!0}),u(d)!=="svelte-1p0xvef"&&(d.innerHTML=N),I=l(t),h=o(t,"P",{"data-svelte-h":!0}),u(h)!=="svelte-ezryxl"&&(h.textContent=Q),U=l(t),v=o(t,"P",{"data-svelte-h":!0}),u(v)!=="svelte-lvpe36"&&(v.innerHTML=V),j=l(t),_=o(t,"P",{"data-svelte-h":!0}),u(_)!=="svelte-gq35aj"&&(_.innerHTML=X),q=l(t),x=o(t,"IMG",{src:!0,alt:!0}),z=l(t),w=o(t,"P",{"data-svelte-h":!0}),u(w)!=="svelte-qlnt3o"&&(w.innerHTML=tt),G=l(t),L=o(t,"IMG",{src:!0,alt:!0}),S=l(t),M=o(t,"P",{"data-svelte-h":!0}),u(M)!=="svelte-7bwf01"&&(M.innerHTML=nt),F=l(t),y=o(t,"P",{"data-svelte-h":!0}),u(y)!=="svelte-1edxyhw"&&(y.textContent=it),R=l(t),at(A.$$.fragment,t),W=l(t),H=o(t,"P",{}),lt(H).forEach(n),this.h()},h(){m(r,"name","hf:doc:metadata"),m(r,"content",Lt),Y(p.src,D="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit1/thumbnail.jpg")||m(p,"src",D),m(p,"alt","Thumbnail"),Y(x.src,Z="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit1/certificate-example.jpg")||m(x,"src",Z),m(x,"alt","Certificate Example"),Y(L.src,et="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit1/whiteboard-no-check.jpg")||m(L,"src",et),m(L,"alt","Unit 1 planning")},m(t,e){vt(document.head,r),i(t,T,e),i(t,b,e),i(t,$,e),ot(g,t,e),i(t,C,e),i(t,p,e),i(t,P,e),i(t,c,e),i(t,k,e),i(t,f,e),i(t,E,e),i(t,d,e),i(t,I,e),i(t,h,e),i(t,U,e),i(t,v,e),i(t,j,e),i(t,_,e),i(t,q,e),i(t,x,e),i(t,z,e),i(t,w,e),i(t,G,e),i(t,L,e),i(t,S,e),i(t,M,e),i(t,F,e),i(t,y,e),i(t,R,e),ot(A,t,e),i(t,W,e),i(t,H,e),O=!0},p:pt,i(t){O||(rt(g.$$.fragment,t),rt(A.$$.fragment,t),O=!0)},o(t){ut(g.$$.fragment,t),ut(A.$$.fragment,t),O=!1},d(t){t&&(n(T),n(b),n($),n(C),n(p),n(P),n(c),n(k),n(f),n(E),n(d),n(I),n(h),n(U),n(v),n(j),n(_),n(q),n(x),n(z),n(w),n(G),n(L),n(S),n(M),n(F),n(y),n(R),n(W),n(H)),n(r),mt(g,t),mt(A,t)}}}const Lt='{"title":"Introduction to Agents","local":"introduction-to-agents","sections":[],"depth":1}';function Mt(B){return ct(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Tt extends ft{constructor(r){super(),dt(this,r,Mt,wt,gt,{})}}export{Tt as component};
